net.sourceforge.pmd.cli

## Class PMDCommandLineInterface

- java.lang.Object
- - net.sourceforge.pmd.cli.PMDCommandLineInterface

    public class PMDCommandLineInterface
    extends Object

Author:
  Romain Pelisse <belaran@gmail.com>

### Field Summary

Fields
`static int` `ERROR_STATUS`
`static String` `NO_EXIT_AFTER_RUN`
`static String` `PROG_NAME`
`static String` `STATUS_CODE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`PMDCommandLineInterface()`

### Method Summary

Methods
`static String` `buildUsageText()`
`static PMDParameters` `extractParameters(PMDParameters arguments, String[] args, String progName)`
`static String` `jarName()`
`static void` `main(String[] args)` For testing purpose only...
`static void` `run(String[] args)`
`static void` `setStatusCodeOrExit(int status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROG_NAME

    public static final String PROG_NAME

See Also:
  Constant Field Values

#### NO_EXIT_AFTER_RUN

    public static final String NO_EXIT_AFTER_RUN

See Also:
  Constant Field Values

#### STATUS_CODE_PROPERTY

    public static final String STATUS_CODE_PROPERTY

See Also:
  Constant Field Values

#### ERROR_STATUS

    public static final int ERROR_STATUS

See Also:
  Constant Field Values

### Constructor Detail

#### PMDCommandLineInterface

    public PMDCommandLineInterface()

### Method Detail

#### extractParameters

    public static PMDParameters extractParameters(PMDParameters arguments,
                                  String[] args,
                                  String progName)

#### buildUsageText

    public static String buildUsageText()

#### main

    public static void main(String[] args)

For testing purpose only...

Parameters:
  `args` -

#### jarName

    public static String jarName()

#### run

    public static void run(String[] args)

#### setStatusCodeOrExit

    public static void setStatusCodeOrExit(int status)